# YouTube Reporting API . jobs

## Instance Methods

Returns the reports Resource.

Creates a job and returns it.

Deletes a job.

Gets a job.

Lists jobs.

Retrieves the next page of results.

### Method Details

`create(body, onBehalfOfContentOwner=None, x__xgafv=None)`

    Creates a job and returns it.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # A job creating reports of a specific type.
        "name": "A String", # The name of the job (max. 100 characters).
        "createTime": "A String", # The creation date/time of the job.
        "expireTime": "A String", # The date/time when this job will expire/expired. After a job expired, no new reports are generated.
        "reportTypeId": "A String", # The type of reports this job creates. Corresponds to the ID of a ReportType.
        "systemManaged": True or False, # True if this a system-managed job that cannot be modified by the user; otherwise false.
        "id": "A String", # The server-generated ID of the job (max. 40 characters).
      }

      onBehalfOfContentOwner: string, The content owner's external ID on which behalf the user is acting on. If not set, the user is acting for himself (his own channel).
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # A job creating reports of a specific type.
          "name": "A String", # The name of the job (max. 100 characters).
          "createTime": "A String", # The creation date/time of the job.
          "expireTime": "A String", # The date/time when this job will expire/expired. After a job expired, no new reports are generated.
          "reportTypeId": "A String", # The type of reports this job creates. Corresponds to the ID of a ReportType.
          "systemManaged": True or False, # True if this a system-managed job that cannot be modified by the user; otherwise false.
          "id": "A String", # The server-generated ID of the job (max. 40 characters).
        }

`delete(jobId, onBehalfOfContentOwner=None, x__xgafv=None)`

    Deletes a job.

    Args:
      jobId: string, The ID of the job to delete. (required)
      onBehalfOfContentOwner: string, The content owner's external ID on which behalf the user is acting on. If not set, the user is acting for himself (his own channel).
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for `Empty` is empty JSON object `{}`.
      }

`get(jobId, onBehalfOfContentOwner=None, x__xgafv=None)`

    Gets a job.

    Args:
      jobId: string, The ID of the job to retrieve. (required)
      onBehalfOfContentOwner: string, The content owner's external ID on which behalf the user is acting on. If not set, the user is acting for himself (his own channel).
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # A job creating reports of a specific type.
          "name": "A String", # The name of the job (max. 100 characters).
          "createTime": "A String", # The creation date/time of the job.
          "expireTime": "A String", # The date/time when this job will expire/expired. After a job expired, no new reports are generated.
          "reportTypeId": "A String", # The type of reports this job creates. Corresponds to the ID of a ReportType.
          "systemManaged": True or False, # True if this a system-managed job that cannot be modified by the user; otherwise false.
          "id": "A String", # The server-generated ID of the job (max. 40 characters).
        }

`list(onBehalfOfContentOwner=None, pageSize=None, pageToken=None, x__xgafv=None, includeSystemManaged=None)`

    Lists jobs.

    Args:
      onBehalfOfContentOwner: string, The content owner's external ID on which behalf the user is acting on. If not set, the user is acting for himself (his own channel).
      pageSize: integer, Requested page size. Server may return fewer jobs than requested. If unspecified, server will pick an appropriate default.
      pageToken: string, A token identifying a page of results the server should return. Typically, this is the value of ListReportTypesResponse.next_page_token returned in response to the previous call to the `ListJobs` method.
      x__xgafv: string, V1 error format.
      includeSystemManaged: boolean, If set to true, also system-managed jobs will be returned; otherwise only user-created jobs will be returned. System-managed jobs can neither be modified nor deleted.

    Returns:
      An object of the form:

        { # Response message for ReportingService.ListJobs.
        "nextPageToken": "A String", # A token to retrieve next page of results. Pass this value in the ListJobsRequest.page_token field in the subsequent call to `ListJobs` method to retrieve the next page of results.
        "jobs": [ # The list of jobs.
          { # A job creating reports of a specific type.
              "name": "A String", # The name of the job (max. 100 characters).
              "createTime": "A String", # The creation date/time of the job.
              "expireTime": "A String", # The date/time when this job will expire/expired. After a job expired, no new reports are generated.
              "reportTypeId": "A String", # The type of reports this job creates. Corresponds to the ID of a ReportType.
              "systemManaged": True or False, # True if this a system-managed job that cannot be modified by the user; otherwise false.
              "id": "A String", # The server-generated ID of the job (max. 40 characters).
            },
        ],
      }

`list_next(previous_request, previous_response)`

    Retrieves the next page of results.

    Args:
      previous_request: The request for the previous page. (required)
      previous_response: The response from the request for the previous page. (required)

    Returns:
      A request object that you can call 'execute()' on to request the next
      page. Returns None if there are no more items in the collection.